unit CompInstallConsts;

interface

var
  BinDirectory: string;

resourcestring
  // Menu item title
  SMenuItemCaption              = 'Install VCL Component...';
  SMenuItemHint                 = 'Install a VCL component';

  SNoIDEServices                = 'Unable to get Borland IDE Services';
  SUnitOnPath                   = 'Another file with the same base name ' +
                                  '(%s) is already on the search path.';
  SInvalidEnvVar                = 'Invalid environment variable';
  SUnableToOpenKey              = 'Unable to open key';

  // Install related
  SErrorBuilding                = 'Error building package %s';
  SDelphiCoreNotFound           = 'Package %s not found';
  SProjectOptionsNotFound       = 'TProjectOptions instance not found';
  SPackageInstalled             = 'Package %s has been installed.';
  SComponentsRegistered         = #13'The following new component(s) have ' +
                                  'been registered:'#13;
{$IF (RTLVersion < 19.0) and not defined(VER185)}
  SCantCreateCppBuilderPackage  = 'Sorry, but C++Builder package creation is not ' +
                                  'supported in this version.';
{$IFEND}

const // do not localize
  // Expert menu item related
  SWizardMenuItemName           = 'CompInstaller.MenuImage';
  SWizardIDString               = 'Velthuis.InstallComponent.Wizard';
  SWizardName                   = 'Velthuis InstallComponent Wizard';

  SCppDescriptionOptionValue    = 'ILINK_Description';
  SPasDescriptionOptionValue    = 'ExeDescription';
  SAppFileExtOptionValue        = 'AppFileExt';
  SMenuBitmapResourceName       = 'MenuBitmap';
  SCppResFileResourceName       = 'CppResFile';

  SExpertName                   = 'Component Installer';

  SComponentMenuName            = 'ComponentMenu';
  SComponentMenuSepName         = 'ComponentN1';
  CDefaultPos                   = 7;

  // Registry keys
  SPackageSourceDir             = 'Package Source Directory';
  SUnitDirectory                = 'Unit Directory';
  SPackages                     = 'Packages';
  SPackageN                     = 'Package';

  // Package related
  SDefaultDclUsr                = '$(BDS)\lib\dclusr.dpk';
  SDescriptionDirective         = '{$DESCRIPTION '#39;
  SDelphiCodeIDEFmt             = 'delphicoreide%d.bpl';

{$IF (RTLVersion >= 21.0) and (RTLVersion < 22.0)}
  // RAD Studio 2010
  SDelphiCoreIDE                = 'delphicoreide140.bpl';
  SInstallProcName              = '@Basepasprojopts@TProjectOptions' +
                                  '@InstallPackage$qqrx20System@UnicodeString';
  SBcbIDE                       = 'bcbide140.bpl';
  SCppInstallProcName           = '@Msbprojopts@TProjectOptions' +
                                  '@InstallPackage$qqrx20System@UnicodeString';
{$ELSEIF (RTLVersion >= 20.0) and (RTLVersion < 21.0)}
  // RAD Studio 2009
  SDelphiCoreIDE                = 'delphicoreide120.bpl';
  SInstallProcName              = '@Basepasprojopts@TProjectOptions' +
                                  '@InstallPackage$qqrx20System@UnicodeString';
  SBcbIDE                       = 'bcbide120.bpl';
  SCppInstallProcName           = '@Msbprojopts@TProjectOptions' +
                                  '@InstallPackage$qqrx20System@UnicodeString';
{$ELSEIF (RTLVersion >= 18.0) and (RTLVersion < 19.0)}
  // RAD Studio 2007 and 2006
  SDelphiCoreIDE                = 'delphicoreide100.bpl';
  SInstallProcName              = '@Basepasprojopts@TProjectOptions' +
                                  '@InstallPackage$qqrx17System@AnsiString';
  SUnitSearchPath               = 'UnitDir';
  SBcbIDE                       = 'bcbide100.bpl';
  SCppInstallProcName           = '@Msbprojopts@TProjectOptions' +
                                  '@InstallPackage$qqrx17System@AnsiString';
{$IFEND}

  CRLF                          = #13#10;

  // bcb.bcf related
  SCodeFormattingSection        = 'Code Formatting';
  SDividerLine                  = 'Divider Line';
  SDividerLineBreak             = 'Divider Line Break';

  // C++ project source related
  SDefaultDividerLine           = '//---------------------------------------------------------------------------' + CRLF;
  SDefaultDividerLineBreak      = SDefaultDividerLine;
  SCppProjectSource             = '%1:s' +
                                  '#include <basepch.h>' + CRLF +
                                  '#pragma hdrstop' + CRLF +
                                  '#pragma package(smart_init)' + CRLF +
                                  '%1:s' +
                                  '//   Package source.' + CRLF +
                                  '%1:s' +
                                  CRLF +
                                  '#pragma argsused' + CRLF +
                                  'int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void*)' + CRLF +
                                  '{' + CRLF +
                                  '    return 1;' + CRLF +
                                  '}' + CRLF +
                                  '%0:s';

implementation

end.
