unit OTADebugHelpers;

interface

uses
  ToolsAPI;

procedure WriteDebugMessage(const Msg: string);
procedure DebugShowOptionValues(Options: IOTAOptions);

implementation

uses
  SysUtils, Classes;

procedure WriteDebugMessage(const Msg: string);
{$IFDEF DEBUG}
var
  Services: IOTAMessageServices;
  Group: IOTAMessageGroup;
begin
  if Supports(BorlandIDEServices, IOTAMessageServices, Services) then
  begin
    Group := Services.AddMessageGroup('OTA Debug');
    Services.AddTitleMessage(Msg, Group);
  end;
{$ELSE}
begin
{$ENDIF}
end;

procedure DebugShowOptionValues(Options: IOTAOptions);
{$IFDEF DEBUG}
var
  Names: TOTAOptionNameArray;
  Name: TOTAOptionName;
  Strings: TStrings;
  I: Integer;
begin
  Names := Options.GetOptionNames;
  for Name in Names do
    if Name.Name = 'Keys' then
    begin
      Strings := TStrings(Integer(Options.Values['Keys']));
      WriteDebugMessage('Keys=(');
      for I := 0 to Strings.Count - 1 do
        WriteDebugMessage('  ''' + Strings[I] + '''');
      WriteDebugMessage(')');
    end
    else
      WriteDebugMessage(Name.Name + '=' + string(Options.Values[Name.Name]));
{$ELSE}
begin
{$ENDIF}
end;

end.

